Viewing in feature Manager

Hello

I have recently displayed the designation of my parts in the "Feature Manager" creation tree. For new assemblies, no problem, the modification is made in the .asmdot, but when I take old assemblies, I am forced to proceed as follows: click on "mount component descriptions":

But is there a way to apply this change to a folder through the Integration or Batch Propeties utility?

Thank you

Hello

Maybe with the CopyOptions utility instead, otherwise it's not possible.

1 Like

Hello

You can make a macro via the recorder. You ink it, the recording and do the manipulation, then stop, and there you record it and play it... when opening an old ASM you will only have to launch the macro and save the ASM...

I fear that no method will work.

So as I said, there may not be a solution.

Have you tried macro recording? You will have to launch it each time old files are opened but it will be one click to launch it against 3 or 4 in manual mode.

Yes I also tested the macro, it didn't work.

I thought that maybe the integration tool would allow you to do this with the API settings. But I don't know anything about it.

I found this, but I don't know if it can help....

http://help.solidworks.com/2012/french/SolidWorks/sldworks/Show_Component's_Description.htm

Hello

Create a macro and replace code with the one below then run it in bulk with the integration tool.

Philippe

 

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Sun SelMgr As SldWorks.SelectionMgr
Dim swFeatMgr As SldWorks.FeatureManager
Sub main()
    Set swApp = Application.SldWorks
    Set Part = swApp.ActiveDoc
    Set SelMgr = Part.SelectionManager
    Set swFeatMgr = Part.FeatureManager
    
    ' Show Component Descriptions is set to true
    swFeatMgr.ShowComponentDescriptions = True
    ' Show Component Configuration Names is set to false
    swFeatMgr.ShowComponentConfigurationNames = False
     ' Show Component Configuration Descriptions is set to false
    swFeatMgr.ShowComponentConfigurationDescriptions = False
    ' Show Component Names
    swFeatMgr.ShowComponentNames = True
     
End Sub

 

 

2 Likes

Prossignol's solution works.

Thank you!